cmake_minimum_required(VERSION 3.20)

project(
  timer
  VERSION 0.1.0
  LANGUAGES CXX)

add_library(timer STATIC src/timer.cpp include/timer.h)

target_include_directories(timer PUBLIC ${PROJECT_SOURCE_DIR}/include)

target_compile_features(timer PUBLIC cxx_std_20)
